package com.ximai.mes.pro.domain.prototypeRequest;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ximai.common.annotation.Excel;
import com.ximai.common.core.domain.BaseEntity;

/**
 * 打样申请工序物料对象 pro_prototype_request_process_item
 *
 * @author zht
 * @date 2024-01-18
 */
public class ProPrototypeRequestProcessItem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long prototypeRequestProcessItemId;

    /** 打样申请工序ID */
    @Excel(name = "打样申请工序ID")
    private Long prototypeRequestProcessId;

    /** 产品物料ID */
    @Excel(name = "产品物料ID")
    private Long itemId;

    /** 产品物料名称 */
    @Excel(name = "产品物料名称")
    private String  itemName;

    /** 单位 */
    @Excel(name = "单位")
    private String unitOfMeasure;

    /** 用料比例 */
    @Excel(name = "用料比例")
    private Long quantity;

    public void setPrototypeRequestProcessItemId(Long prototypeRequestProcessItemId)
    {
        this.prototypeRequestProcessItemId = prototypeRequestProcessItemId;
    }

    public Long getPrototypeRequestProcessItemId()
    {
        return prototypeRequestProcessItemId;
    }
    public void setPrototypeRequestProcessId(Long prototypeRequestProcessId)
    {
        this.prototypeRequestProcessId = prototypeRequestProcessId;
    }

    public Long getPrototypeRequestProcessId()
    {
        return prototypeRequestProcessId;
    }
    public void setItemId(Long itemId)
    {
        this.itemId = itemId;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public Long getItemId()
    {
        return itemId;
    }
    public void setUnitOfMeasure(String unitOfMeasure)
    {
        this.unitOfMeasure = unitOfMeasure;
    }

    public String getUnitOfMeasure()
    {
        return unitOfMeasure;
    }
    public void setQuantity(Long quantity)
    {
        this.quantity = quantity;
    }

    public Long getQuantity()
    {
        return quantity;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("prototypeRequestProcessItemId", getPrototypeRequestProcessItemId())
            .append("prototypeRequestProcessId", getPrototypeRequestProcessId())
            .append("itemId", getItemId())
            .append("unitOfMeasure", getUnitOfMeasure())
            .append("quantity", getQuantity())
            .append("remark", getRemark())
            .toString();
    }
}
